# Anforderungen und Prüfungen für die Validierung von CityGML-Modellen

Die Anforderungen sind die Grundbausteine für ein Validierungsplan um CityGML-Modelle zu validieren. Für Namenskonventionen und Definitionen, siehe [Grundbegriffe](basic.md).  

Eine Anforderung kann durch einen oder mehrere Prüfungen validiert werden. Eine Prüfung validiert ein oder mehrere Anforderungen bei einem Modell. Jede Prüfung kann Vorbedingungen haben. Wenn diese Vorbedingungen nicht erfüllt sind wird die Prüfung nicht ausgeführt.

Unterschieden wird dabei zwischen:

* [Schemaanforderungen](schemaRequirements.md)
* [Geometrieanforderungen](geometric.md)
* [Semantische Anforderungen](semantic.md)
